name='electron-bin'
version='30.2.0'
release='2'
desc='Build cross platform desktop apps with web technologies — prebuilt'
homepage='https://electronjs.org'
maintainer="Евгений Храмов <xpamych@yandex.ru>"
architectures=('amd64')
license=('MIT custom')
provides=('electron')
conflicts=('electron' 'electron-bin' 'electron-git')

deps=('c-ares' 'alsa-lib' 'gtk3' 'libevent' 'libffi' 'nss')
build_deps=('pnpm' 'git')
opt_deps=('kde-cli-tools: file deletion support (kioclient5)'
          'pipewire: WebRTC desktop sharing under Wayland'
          'qt5-base: enable Qt5 with --enable-features=AllowQt'
          'gtk4: for --gtk-version=4 (GTK4 IME might work better on Wayland)'
          'trash-cli: file deletion support (trash-put)'
          'xdg-utils: open URLs with desktop’s default (xdg-email, xdg-open)')
opt_deps_redos=('kde-cli-tools: file deletion support (kioclient5)'
'pipewire: WebRTC desktop sharing under Wayland'
'qt5-qtbase: enable Qt5 with --enable-features=AllowQt'
'gtk4: for --gtk-version=4 (GTK4 IME might work better on Wayland)'
'trash-cli: file deletion support (trash-put)'
'xdg-utils: open URLs with desktop’s default (xdg-email, xdg-open)')

sources=("https://github.com/electron/electron/releases/download/v${version}/electron-v${version}-linux-x64.zip")
checksums=('SKIP')

package() {
    cd ${srcdir}
    install -dm755 "${pkgdir}/usr/lib/electron/"
	find . -mindepth 1 -maxdepth 1 -type f ! -name "*.zip" ! -name "LICENSE*" -exec cp -r --no-preserve=ownership --preserve=mode -t "${pkgdir}/usr/lib/electron/." {} +

	for _folder in 'locales' 'resources'; do
		cp -r --no-preserve=ownership --preserve=mode "${_folder}/" "${pkgdir}/usr/lib/electron/${_folder}/"
	done

	chmod u+s "${pkgdir}/usr/lib/electron/chrome-sandbox"

	install -dm755 "${pkgdir}/usr/bin"
	ln -nfs "/usr/lib/electron/electron" "${pkgdir}/usr/bin/electron"

	for _license in 'LICENSE' 'LICENSES.chromium.html'; do
        install -Dm644 "${_license}" "${pkgdir}/usr/share/licenses/${name}/${_license}"
    done
}
